"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Buy_1 = require("./Buy");
const Sell_1 = require("./Sell");
const Fill_1 = require("./Fill");
class MarketUpdate {
    constructor(json) {
        this.name = json.MarketName;
        this.timeStamp = json.TimeStamp;
        this.buys = [];
        for (let buyJson of json.Buys) {
            this.buys.push(new Buy_1.Buy(buyJson));
        }
        this.sells = [];
        for (let sellJson of json.Sells) {
            this.sells.push(new Sell_1.Sell(sellJson));
        }
        this.fills = [];
        for (let fillJson of json.Fills) {
            this.fills.push(new Fill_1.Fill(fillJson));
        }
    }
    getName() {
        return this.name;
    }
    getTimeStamp() {
        return this.timeStamp;
    }
    getBuys() {
        return this.buys;
    }
    getSells() {
        return this.sells;
    }
    getFills() {
        return this.fills;
    }
}
exports.MarketUpdate = MarketUpdate;
//# sourceMappingURL=MarketUpdate.js.map